# Changelog

## [0.0.5] 2024-08-14

- Previously, P1 logger wouldn't run properly on systems with processor architectures other than ARM64. This release fixes that, as this was caused by an issue with multi-platform builds.
- Adds support for voltage sags and swells to the ESPHome example config.
- The go version was upgraded from 1.22 to 1.23 and go dependencies were upgraded.

## [0.0.4] 2024-07-26

- Adds support for logging electricity sags and swells
- Contains preliminary work to support logging variables specific to Belgium and Luxembourg
- Adds English and German language Grafana dashboards
- Upgrades the golang version P1 Logger is built with from 1.21 -> 1.22
- Implements proper DB migrations for seamless future upgrading
- Adds links to DSMR documentation in the ESPHome example.
- Fixes an issue with the Dutch dashboard, making it suitable for external use.

## [0.0.3] 2024-07-25

- First P1 Logger release with Home Assistant add-on support
